[parse]
parse_deps = false
include = []

[export]
include = ["EntropykErrorCode", "EntropykConvergenceStatus", "EntropykSystem", "EntropykComponent", "EntropykSolverResult", "EntropykNewtonConfig", "EntropykPicardConfig", "EntropykFallbackConfig"]

[fn]
sort_by = "Name"

[struct]
rename_fields = "None"

[enum]
rename_variants = "ScreamingSnakeCase"

[macro_expansion]
bitflags = true

[defines]
"target_os = linux" = "ENTROPYK_LINUX"
"target_os = macos" = "ENTROPYK_MACOS"
"target_os = windows" = "ENTROPYK_WINDOWS"
